Debian Bug report logs - #654814
ITP: shaarli -- Shaarli is a minimalist delicious clone designed to be personal (single-user), fast and handy.

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Emilien Klein <emilien+debian@klein.st>

Date: Thu, 5 Jan 2012 22:03:08 UTC

Owned by: Emilien Klein <emilien+debian@klein.st>

Severity: wishlist

Merged with 709644

Fixed in versions shaarli/0.0.41~beta~dfsg2-1, shaarli/0.0.41~beta~dfsg1-1

Done: Georges Khaznadar <georgesk@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#654814; Package wnpp. (Thu, 05 Jan 2012 22:03:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Emilien Klein <emilien+debian@klein.st>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org. (Thu, 05 Jan 2012 22:03:11 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Emilien Klein <emilien+debian@klein.st>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: shaarli -- Shaarli is a minimalist delicious clone designed to be personal (single-user), fast and handy.
Date: Thu, 5 Jan 2012 16:58:16 -0500
Package: wnpp
Owner: Emilien Klein <emilien+debian@klein.st>
Severity: wishlist

* Package name    : shaarli
 Version         : 0.0.32 beta
 Upstream Author : Seb Sauvage <sebsauvage@sebsauvage.net>
* URL             : http://sebsauvage.net/wiki/doku.php?id=php:shaarli
* License         : zlib/libpng
 Programming Lang: PHP
 Description     : Shaarli is a minimalist delicious clone designed
to be personal (single-user), fast and handy.

Saving simple links should not be a complicated heavy thing. Shaarli
is simple, but it does the job and does it well. And your data is not
hosted on a foreign server, but on your server.




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#654814; Package wnpp. (Sat, 14 Jan 2012 15:34:35 GMT) Full text and rfc822 format available.

Acknowledgement sent to Emilien Klein <emilien+debian@klein.st>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 14 Jan 2012 15:34:35 GMT) Full text and rfc822 format available.

Message #10 received at 654814@bugs.debian.org (full text, mbox):

From: Emilien Klein <emilien+debian@klein.st>
To: 654814@bugs.debian.org
Subject: Re: ITP: shaarli -- Shaarli is a minimalist delicious clone designed to be personal (single-user), fast and handy.
Date: Sat, 14 Jan 2012 16:03:34 +0100
I've uploaded shaarli_0.0.33beta-1 to mentors [0], as well as sent a
RFS email [1] today.

[0] http://mentors.debian.net/package/shaarli
[1] http://lists.debian.org/debian-mentors/2012/01/msg00280.html




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#654814; Package wnpp. (Fri, 10 Feb 2012 23:27:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Emilien Klein <emilien+debian@klein.st>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 10 Feb 2012 23:27:05 GMT) Full text and rfc822 format available.

Message #15 received at 654814@bugs.debian.org (full text, mbox):

From: Emilien Klein <emilien+debian@klein.st>
To: 654814@bugs.debian.org
Subject: Re: ITP: shaarli -- Shaarli is a minimalist delicious clone designed to be personal (single-user), fast and handy.
Date: Sat, 11 Feb 2012 00:24:56 +0100
Update: Upstream has released 0.0.38beta which I've started packaging,
however I noticed the inclusion of another minified Javascript file
for the Lazy Load Plugin for jQuery [0].
I have asked upstream to remove the minified file from the tarball
that is released for Debian packaging, and am currently working with
the Debian Javascript Maintainers on getting that new jQuery plugin
packaged in Debian [1] [2]. Once this package is available in Sid I'll
make Shaarli's package depend on it.

[0] http://www.appelsiini.net/projects/lazyload
[1] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=659408
[2] http://lists.alioth.debian.org/pipermail/pkg-javascript-devel/2012-February/002750.html




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#654814; Package wnpp. (Fri, 10 Feb 2012 23:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Emilien Klein <emilien+debian@klein.st>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 10 Feb 2012 23:39:04 GMT) Full text and rfc822 format available.

Message #20 received at 654814@bugs.debian.org (full text, mbox):

From: Emilien Klein <emilien+debian@klein.st>
To: 654814@bugs.debian.org
Subject: Re: ITP: shaarli -- Shaarli is a minimalist delicious clone designed to be personal (single-user), fast and handy.
Date: Sat, 11 Feb 2012 00:35:18 +0100
And since Shaarli also contains the code for RainTPL - easy php
template engine [0], and that last month I gave a presentation about
Debian packaging at my local LUG, I've asked the attendees if they
wanted to start packaging in Debian with RainTPL. I mentioned that if
nobody volunteers I'll start packaging it myself in one week.

[0] http://www.raintpl.com/




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#654814; Package wnpp. (Fri, 24 May 2013 19:30:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Emilien Klein <emilien+debian@klein.st>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 24 May 2013 19:30:05 GMT) Full text and rfc822 format available.

Message #25 received at 654814@bugs.debian.org (full text, mbox):

From: Emilien Klein <emilien+debian@klein.st>
To: Georges Khaznadar <georgesk@debian.org>
Cc: 654814@bugs.debian.org, 709644@bugs.debian.org
Subject: Shaarli in Debian
Date: Fri, 24 May 2013 21:26:48 +0200
[Message part 1 (text/plain, inline)]
Hi Georges,

I noticed you filed a new ITP bug for Shaarli. I did so myself 1.5
years ago, had a working package for version 0.0.32beta, did not find
a sponsor, updated the package for 0.0.38beta, still no luck finding a
sponsor...

I wondered if you would want to review my work, possibly improve it,
and sponsor it's upload. We could co-maintain the package, possibly
using git-buildpackage and collab-maint if you're into that. I'm a
Debian Maintainer, and will in the coming month apply for DD, but for
now I can't upload Shaarli on my own ;)

FYI I've worked with Seb Sauvage (Shaarli's main author) over the past
year to have him publish a Debian-specific tarball, that makes the
Debian packaging easier. You'll find this is used in the watchfile.

I've attached my most recent debian folder (mind you: based on version
0.0.38beta, not the latest 0.0.41beta), if you're interested in
working together on this we'll get to the point to set up a shared
repository.
Stuff to do with this version of the package:
- Update to 0.0.41beta (I know of at least one extra folder location
that we need patched)
- The package triggers Lintian warnings on the version number
(probably due to the word  "beta" in the version)
- Review the Apache config (since I wrote the package, I'm mostly
running nginx, so I'm not testing the Apache config as well anymore)

Let me know! I'm happy to see some interest around Shaarli in Debian.
   +Emilien
[shaarli-0.0.38beta.debian.tar.gz (application/x-gzip, attachment)]

Added tag(s) pending. Request was from Emilien Klein <emilien+debian@klein.st> to control@bugs.debian.org. (Sun, 26 May 2013 08:54:05 GMT) Full text and rfc822 format available.

Merged 654814 709644 Request was from Emilien Klein <emilien+debian@klein.st> to control@bugs.debian.org. (Sun, 26 May 2013 08:54:06 GMT) Full text and rfc822 format available.

Reply sent to Emilien Klein <emilien+debian@klein.st>:
You have taken responsibility. (Fri, 31 May 2013 13:03:17 GMT) Full text and rfc822 format available.

Notification sent to Emilien Klein <emilien+debian@klein.st>:
Bug acknowledged by developer. (Fri, 31 May 2013 13:03:17 GMT) Full text and rfc822 format available.

Message #34 received at 654814-close@bugs.debian.org (full text, mbox):

From: Emilien Klein <emilien+debian@klein.st>
To: 654814-close@bugs.debian.org
Subject: Bug#654814: fixed in shaarli 0.0.41~beta~dfsg2-1
Date: Fri, 31 May 2013 13:00:10 +0000
Source: shaarli
Source-Version: 0.0.41~beta~dfsg2-1

We believe that the bug you reported is fixed in the latest version of
shaarli, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 654814@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Emilien Klein <emilien+debian@klein.st> (supplier of updated shaarli package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 26 May 2013 22:36:57 +0200
Source: shaarli
Binary: shaarli
Architecture: source all
Version: 0.0.41~beta~dfsg2-1
Distribution: unstable
Urgency: low
Maintainer: Georges Khaznadar <georgesk@debian.org>
Changed-By: Emilien Klein <emilien+debian@klein.st>
Description: 
 shaarli    - Personal, minimalist, super-fast and no-database Delicious clone
Closes: 654814
Changes: 
 shaarli (0.0.41~beta~dfsg2-1) unstable; urgency=low
 .
   [ Emilien Klein ]
   * Initial release (Closes: #654814 and #709644)
 .
   [ Georges Khaznadar ]
   * Updated Maintainer: and Uploaders: fields in d/control
Checksums-Sha1: 
 59d3c5de9d45a350010060108742738d4d314be1 1328 shaarli_0.0.41~beta~dfsg2-1.dsc
 9387bcf3b64212a597cbf70d40c6474f34ffe701 257360 shaarli_0.0.41~beta~dfsg2.orig.tar.bz2
 838a9bba8eac54b697314d47e33215e5b13f667f 8088 shaarli_0.0.41~beta~dfsg2-1.debian.tar.gz
 41f4ed00dac074b5914fdae87ee1fe08fd00e2b0 258156 shaarli_0.0.41~beta~dfsg2-1_all.deb
Checksums-Sha256: 
 22515009093413bf4638380dc2f8a4e30548a4f0d0ea6dfe747c81b9b7e8a063 1328 shaarli_0.0.41~beta~dfsg2-1.dsc
 759ad8897e8dfde4d7b7fa9cfeb20ac930dfaa8d5d7d55938ae7a20d81923513 257360 shaarli_0.0.41~beta~dfsg2.orig.tar.bz2
 58af80b20050355cf5d0f1c817045e6127c2cf4afe5b4f63ff587b9caa47eb3c 8088 shaarli_0.0.41~beta~dfsg2-1.debian.tar.gz
 3db0d2cd773acac3f8a5c15f5101af31f5134436671cd34f69e474f11ead73e4 258156 shaarli_0.0.41~beta~dfsg2-1_all.deb
Files: 
 99b079c781bd194af1fdacbeb3e86833 1328 web optional shaarli_0.0.41~beta~dfsg2-1.dsc
 83c564ab894b5a62ddc2dd281db9158a 257360 web optional shaarli_0.0.41~beta~dfsg2.orig.tar.bz2
 f75922329a7226503c6fc5a316252fdf 8088 web optional shaarli_0.0.41~beta~dfsg2-1.debian.tar.gz
 713bec81ca38a5faa34ab034de6844f3 258156 web optional shaarli_0.0.41~beta~dfsg2-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iD8DBQFRphQNnfmb2hFpETARAqAlAJ94SxuaPAOoApZJ8GTpxV1dXoze3wCggTAT
p4MNMIdBSP3cmYCZK18uKtw=
=PWm9
-----END PGP SIGNATURE-----




Reply sent to Emilien Klein <emilien+debian@klein.st>:
You have taken responsibility. (Fri, 31 May 2013 13:03:18 GMT) Full text and rfc822 format available.

Notification sent to Georges Khaznadar <georgesk@debian.org>:
Bug acknowledged by developer. (Fri, 31 May 2013 13:03:18 GMT) Full text and rfc822 format available.

Message #39 received at 709644-close@bugs.debian.org (full text, mbox):

From: Georges Khaznadar <georgesk@debian.org>
To: 709644-close@bugs.debian.org
Subject: Bug#709644: fixed in shaarli 0.0.41~beta~dfsg1-1
Date: Fri, 31 May 2013 13:00:12 +0000
Source: shaarli
Source-Version: 0.0.41~beta~dfsg1-1

We believe that the bug you reported is fixed in the latest version of
shaarli, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 709644@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Georges Khaznadar <georgesk@debian.org> (supplier of updated shaarli package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 22 May 2013 10:10:35 +0200
Source: shaarli
Binary: shaarli
Architecture: source all
Version: 0.0.41~beta~dfsg1-1
Distribution: unstable
Urgency: low
Maintainer: Georges Khaznadar <georgesk@debian.org>
Changed-By: Georges Khaznadar <georgesk@debian.org>
Description: 
 shaarli    - minimalist delicious clone you can install on your own website
Closes: 709644
Changes: 
 shaarli (0.0.41~beta~dfsg1-1) unstable; urgency=low
 .
   * Initial release (Closes: #709644)
Checksums-Sha1: 
 1c6294fe46390fa573c82a09f2d63a9a265498c0 1153 shaarli_0.0.41~beta~dfsg1-1.dsc
 6b30de08f831b32f751914a591f976c60ca3b2dc 253379 shaarli_0.0.41~beta~dfsg1.orig.tar.gz
 37bf7921514fb5069ee13675272216c4d7ae5358 4617 shaarli_0.0.41~beta~dfsg1-1.debian.tar.gz
 8f6a1b1bf5355ef5f2f0d822ee3cd8ef761dc14a 257092 shaarli_0.0.41~beta~dfsg1-1_all.deb
Checksums-Sha256: 
 7fe270a7d664ad60a43ae212fe5dfea26d20c1d5385312a5707197afdd87bbbc 1153 shaarli_0.0.41~beta~dfsg1-1.dsc
 7bd37058f1fdb28030759861787e84750a8b0d8096b26cbb199e3b3c99a79bbd 253379 shaarli_0.0.41~beta~dfsg1.orig.tar.gz
 8b68f5e8f96e008b11c7df86f170af3299211bc8da43b12d9e8a49cf1d90bfa2 4617 shaarli_0.0.41~beta~dfsg1-1.debian.tar.gz
 01083f0f6a915d90ded71ce21c5fd9605e6649f9023854fdb0071452348751a7 257092 shaarli_0.0.41~beta~dfsg1-1_all.deb
Files: 
 d5925fb7063acc7a2aa1228f5962e66b 1153 web extra shaarli_0.0.41~beta~dfsg1-1.dsc
 3756960ce2a051c752b530a3b6452c50 253379 web extra shaarli_0.0.41~beta~dfsg1.orig.tar.gz
 9f15dd533bcc1a8613d783b3c6d5fa25 4617 web extra shaarli_0.0.41~beta~dfsg1-1.debian.tar.gz
 0265096014911ff956f627685e5f5d81 257092 web extra shaarli_0.0.41~beta~dfsg1-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iD8DBQFRn8Cznfmb2hFpETARAjqFAJ9icUTRCHhrtpqQPsG8VYZhY8R19QCgkPHo
Sr5npRuJVS1xXzVsp9YYaq8=
=NVuN
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 11 Jul 2013 07:28:31 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 14:16:57 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.